SSTableSimpleIterator (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.io.sstable

## Class SSTableSimpleIterator

- java.lang.Object
- - org.apache.cassandra.utils.AbstractIterator<Unfiltered>
  - - org.apache.cassandra.io.sstable.SSTableSimpleIterator

- All Implemented Interfaces:
    com.google.common.collect.PeekingIterator<Unfiltered>, java.util.Iterator<Unfiltered>

      public abstract class SSTableSimpleIterator
      extends AbstractIterator<Unfiltered>
      implements java.util.Iterator<Unfiltered>

  Utility class to handle deserializing atom from sstables. Note that this is not a full fledged UnfilteredRowIterator. It's also not closeable, it is always the job of the user to close the underlying ressources.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SerializationHelper` | `helper`
    `protected DataInputPlus` | `in`
    `protected CFMetaData` | `metadata`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSTableSimpleIterator` | `create(CFMetaData metadata, DataInputPlus in, SerializationHeader header, SerializationHelper helper, DeletionTime partitionDeletion)`
    `static SSTableSimpleIterator` | `createTombstoneOnly(CFMetaData metadata, DataInputPlus in, SerializationHeader header, SerializationHelper helper, DeletionTime partitionDeletion)`
    `abstract Row` | `readStaticRow()`

    - ### Methods inherited from class org.apache.cassandra.utils.AbstractIterator

      `computeNext, endOfData, hasNext, next, peek, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Field Detail

    - #### metadata

          protected final CFMetaData metadata

    - #### in

          protected final DataInputPlus in

    - #### helper

          protected final SerializationHelper helper

  - ### Method Detail

    - #### create

          public static SSTableSimpleIterator create(CFMetaData metadata,
                                                     DataInputPlus in,
                                                     SerializationHeader header,
                                                     SerializationHelper helper,
                                                     DeletionTime partitionDeletion)

    - #### createTombstoneOnly

          public static SSTableSimpleIterator createTombstoneOnly(CFMetaData metadata,
                                                                  DataInputPlus in,
                                                                  SerializationHeader header,
                                                                  SerializationHelper helper,
                                                                  DeletionTime partitionDeletion)

    - #### readStaticRow

          public abstract Row readStaticRow()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation